Blame SOURCES/rear-bz1492177-warning.patch

b9f7b3
diff --git a/usr/share/rear/output/ISO/Linux-i386/249_check_rhel_grub2_efi_package.sh b/usr/share/rear/output/ISO/Linux-i386/249_check_rhel_grub2_efi_package.sh
b9f7b3
new file mode 100644
b9f7b3
index 00000000..4c4ded08
b9f7b3
--- /dev/null
b9f7b3
+++ b/usr/share/rear/output/ISO/Linux-i386/249_check_rhel_grub2_efi_package.sh
b9f7b3
@@ -0,0 +1,9 @@
b9f7b3
+# 249_check_rhel_grub2_efi_package.sh
b9f7b3
+
b9f7b3
+is_true $USING_UEFI_BOOTLOADER || return    # empty or 0 means NO UEFI
b9f7b3
+
b9f7b3
+(
b9f7b3
+    VERBOSE=1
b9f7b3
+    test -r /usr/lib/grub/x86_64-efi/moddep.lst
b9f7b3
+    PrintIfError "WARNING: /usr/lib/grub/x86_64-efi/moddep.lst not found, grub2-mkimage will likely fail. Please install the grub2-efi-x64-modules package to fix this."
b9f7b3
+)